Package org.eclipse.net4j.util.om.pref

# Interface OMPreferencesChangeEvent<T>

All Superinterfaces:
  `IEvent`

public interface OMPreferencesChangeEvent<T> extends IEvent
An `event` fired from a `preferences` object when a `preference` value has changed.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`T`
`getNewValue()`
`T`
`getOldValue()`
`OMPreference<T>`
`getPreference()`
`OMPreferences`
`getSource()`

## Method Details

### getSource

OMPreferences getSource()

Specified by:
  `getSource` in interface `IEvent`
Since:
  3.0

### getPreference

OMPreference<T> getPreference()

### getOldValue

T getOldValue()

### getNewValue

T getNewValue()